## net.dontdrinkandroot.wicket.javascript
Class JQueryScript

    java.lang.Object
      net.dontdrinkandroot.wicket.javascript.JQueryScript

    public class JQueryScript

extends java.lang.Object

Field Summary
`static java.lang.String` `ANIMATE_TEMPLATE`
`static java.lang.String` `CHILDREN_TEMPLATE`
`static java.lang.String` `CLICK_TEMPLATE`
`static java.lang.Integer` `DEFAULT_ANIMATION_DURATION`
`static java.lang.String` `DEFAULT_EASING_FUNCTION`
`static java.lang.String` `FADEIN_TEMPLATE`
`static java.lang.String` `FADEOUT_TEMPLATE`
`static java.lang.String` `FADETOGGLE_TEMPLATE`
`static java.lang.String` `HIDE_TEMPLATE`
`static java.lang.String` `HOVER_INTENT_TEMPLATE`
`static java.lang.String` `KEYPRESS_TEMPLATE`
`protected java.lang.StringBuffer` `scriptBuffer`
`static java.lang.String` `SHOW_TEMPLATE`
`static java.lang.String` `SLIDEDOWN_TEMPLATE`
`static java.lang.String` `SLIDETOGGLE_TEMPLATE`
`static java.lang.String` `SLIDEUP_TEMPLATE`
`static java.lang.String` `TOGGLE_TEMPLATE`

Constructor Summary
`JQueryScript()` Create a new JQuery Script using this as a selector.
`JQueryScript(org.apache.wicket.Component component)` Create a new JQuery Script using the components markupid as a selector.
`JQueryScript(java.lang.String selector)` Create a new JQuery Script using the given selector.

Method Summary
`JQueryScript` `addClass(java.lang.String string)`
`JQueryScript` `animate(java.util.Properties properties, java.lang.Integer duration, java.lang.String easing, java.lang.CharSequence callbackScript)` Perform a custom animation of a set of CSS properties.
`JQueryScript` `append(java.lang.String script)`
`JQueryScript` `children(java.lang.String selector)` Get the children of each element in the set of matched elements, optionally filtered by a selector.
`JQueryScript` `click(java.lang.String callbackScript)`
`JQueryScript` `fadeIn()` Display the matched elements by fading them to opaque.
`JQueryScript` `fadeIn(java.lang.Integer duration, java.lang.CharSequence callbackScript)` Display the matched elements by fading them to opaque.
`JQueryScript` `fadeIn(java.lang.Integer duration, java.lang.String easing, java.lang.CharSequence callbackScript)` Display the matched elements by fading them to opaque.
`JQueryScript` `fadeOut()` Hide the matched elements by fading them to transparent.
`JQueryScript` `fadeOut(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Hide the matched elements by fading them to transparent.
`JQueryScript` `fadeToggle()` Display or hide the matched elements by animating their opacity.
`JQueryScript` `fadeToggle(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Display or hide the matched elements by animating their opacity.
`JQueryScript` `hide()` Hide the matched elements.
`JQueryScript` `hide(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Hide the matched elements.
`JQueryScript` `hoverIntent(java.lang.CharSequence callBackIn, java.lang.CharSequence callBackOut)` Bind two handlers to the matched elements, to be executed when the mouse pointer enters and leaves the elements.
`JQueryScript` `removeClass(java.lang.String string)`
`JQueryScript` `show()` Display the matched elements.
`JQueryScript` `show(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Display the matched elements.
`JQueryScript` `siblings(java.lang.String selector)`
`JQueryScript` `slideDown()` Display the matched elements with a sliding motion.
`JQueryScript` `slideDown(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Display the matched elements with a sliding motion.
`JQueryScript` `slideToggle()` Display or hide the matched elements with a sliding motion.
`JQueryScript` `slideToggle(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Display or hide the matched elements with a sliding motion.
`JQueryScript` `slideUp()` Hide the matched elements with a sliding motion.
`JQueryScript` `slideUp(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Hide the matched elements with a sliding motion.
`JQueryScript` `toggle()` Display or hide the matched elements.
`JQueryScript` `toggle(java.lang.Integer duration, java.lang.String easing, java.lang.String callbackScript)` Display or hide the matched elements.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ANIMATION_DURATION

    public static java.lang.Integer DEFAULT_ANIMATION_DURATION

### DEFAULT_EASING_FUNCTION

    public static java.lang.String DEFAULT_EASING_FUNCTION

### ANIMATE_TEMPLATE

    public static java.lang.String ANIMATE_TEMPLATE

### CHILDREN_TEMPLATE

    public static java.lang.String CHILDREN_TEMPLATE

### HIDE_TEMPLATE

    public static java.lang.String HIDE_TEMPLATE

### SHOW_TEMPLATE

    public static java.lang.String SHOW_TEMPLATE

### HOVER_INTENT_TEMPLATE

    public static java.lang.String HOVER_INTENT_TEMPLATE

### FADEIN_TEMPLATE

    public static java.lang.String FADEIN_TEMPLATE

### FADETOGGLE_TEMPLATE

    public static java.lang.String FADETOGGLE_TEMPLATE

### FADEOUT_TEMPLATE

    public static java.lang.String FADEOUT_TEMPLATE

### TOGGLE_TEMPLATE

    public static java.lang.String TOGGLE_TEMPLATE

### SLIDEDOWN_TEMPLATE

    public static java.lang.String SLIDEDOWN_TEMPLATE

### SLIDEUP_TEMPLATE

    public static java.lang.String SLIDEUP_TEMPLATE

### SLIDETOGGLE_TEMPLATE

    public static java.lang.String SLIDETOGGLE_TEMPLATE

### KEYPRESS_TEMPLATE

    public static java.lang.String KEYPRESS_TEMPLATE

### CLICK_TEMPLATE

    public static java.lang.String CLICK_TEMPLATE

### scriptBuffer

    protected final java.lang.StringBuffer scriptBuffer

Constructor Detail

### JQueryScript

    public JQueryScript()

  Create a new JQuery Script using this as a selector.

### JQueryScript

    public JQueryScript(org.apache.wicket.Component component)

  Create a new JQuery Script using the components markupid as a selector. This will fail if the markupid is not set, so always use `Component.setMarkupId(String)`.

  Parameters:
    `component` - The component to be selected.

### JQueryScript

    public JQueryScript(java.lang.String selector)

  Create a new JQuery Script using the given selector.

  Parameters:
    `selector` - The selector to use.

Method Detail

### animate

    public JQueryScript animate(java.util.Properties properties,
                                java.lang.Integer duration,
                                java.lang.String easing,
                                java.lang.CharSequence callbackScript)

  Perform a custom animation of a set of CSS properties.

  Parameters:
    `properties` - A map of CSS properties that the animation will move toward.
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### children

    public JQueryScript children(java.lang.String selector)

  Get the children of each element in the set of matched elements, optionally filtered by a selector.

  Parameters:
    `selector` - The selector to use.
  Returns:
    This script for chaining.

### fadeIn

    public JQueryScript fadeIn()

  Display the matched elements by fading them to opaque.

  Returns:
    This script for chaining.

### fadeIn

    public JQueryScript fadeIn(java.lang.Integer duration,
                               java.lang.CharSequence callbackScript)

  Display the matched elements by fading them to opaque.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### fadeIn

    public JQueryScript fadeIn(java.lang.Integer duration,
                               java.lang.String easing,
                               java.lang.CharSequence callbackScript)

  Display the matched elements by fading them to opaque.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### fadeOut

    public JQueryScript fadeOut()

  Hide the matched elements by fading them to transparent.

  Returns:
    This script for chaining.

### fadeOut

    public JQueryScript fadeOut(java.lang.Integer duration,
                                java.lang.String easing,
                                java.lang.String callbackScript)

  Hide the matched elements by fading them to transparent.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### fadeToggle

    public JQueryScript fadeToggle()

  Display or hide the matched elements by animating their opacity.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### fadeToggle

    public JQueryScript fadeToggle(java.lang.Integer duration,
                                   java.lang.String easing,
                                   java.lang.String callbackScript)

  Display or hide the matched elements by animating their opacity.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### hide

    public JQueryScript hide()

  Hide the matched elements.

  Returns:
    This script for chaining.

### hoverIntent

    public JQueryScript hoverIntent(java.lang.CharSequence callBackIn,
                                    java.lang.CharSequence callBackOut)

  Bind two handlers to the matched elements, to be executed when the mouse pointer enters and leaves the elements.

  Parameters:
    `callBackIn` - A script to execute when the mouse pointer enters the element.
    `callBackOut` - A script to execute when the mouse pointer leaves the element.
  Returns:

### hide

    public JQueryScript hide(java.lang.Integer duration,
                             java.lang.String easing,
                             java.lang.String callbackScript)

  Hide the matched elements.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 0 (hiding immediately).
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### click

    public JQueryScript click(java.lang.String callbackScript)

### show

    public JQueryScript show()

  Display the matched elements.

  Returns:
    This script for chaining.

### show

    public JQueryScript show(java.lang.Integer duration,
                             java.lang.String easing,
                             java.lang.String callbackScript)

  Display the matched elements.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 0 (showing immediately).
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### slideDown

    public JQueryScript slideDown()

  Display the matched elements with a sliding motion.

  Returns:
    This script for chaining.

### slideDown

    public JQueryScript slideDown(java.lang.Integer duration,
                                  java.lang.String easing,
                                  java.lang.String callbackScript)

  Display the matched elements with a sliding motion.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### slideUp

    public JQueryScript slideUp()

  Hide the matched elements with a sliding motion.

  Returns:
    This script for chaining.

### slideUp

    public JQueryScript slideUp(java.lang.Integer duration,
                                java.lang.String easing,
                                java.lang.String callbackScript)

  Hide the matched elements with a sliding motion.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### slideToggle

    public JQueryScript slideToggle()

  Display or hide the matched elements with a sliding motion.

  Returns:
    This script for chaining.

### slideToggle

    public JQueryScript slideToggle(java.lang.Integer duration,
                                    java.lang.String easing,
                                    java.lang.String callbackScript)

  Display or hide the matched elements with a sliding motion.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 400.
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### toggle

    public JQueryScript toggle()

  Display or hide the matched elements.

  Returns:
    This script for chaining.

### toggle

    public JQueryScript toggle(java.lang.Integer duration,
                               java.lang.String easing,
                               java.lang.String callbackScript)

  Display or hide the matched elements.

  Parameters:
    `duration` - A number determining how long the animation will run (in milliseconds), defaults to 0 (toggling immediately).
    `easing` - A string indicating which easing function to use for the transition, defaults to "swing".
    `callbackScript` - A script to call once the animation is complete, defaults to an empty script.
  Returns:
    This script for chaining.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### siblings

    public JQueryScript siblings(java.lang.String selector)

### removeClass

    public JQueryScript removeClass(java.lang.String string)

### addClass

    public JQueryScript addClass(java.lang.String string)

### append

    public JQueryScript append(java.lang.String script)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.